# Gimp.edit_cut

    function edit_cut(drawables: Array(Gimp.Drawable)): Boolean {
        // Gjs wrapper for gimp_edit_cut()
    }

Cut from the specified drawables.

If there is a selection in the image, then the area specified by the selection is cut from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the Gimp.edit_paste command. If there is no selection and only one specified drawable, then the specified drawable will be removed and its contents stored in the internal GIMP edit buffer. This procedure will return false if the selected area lies completely outside the bounds of the current drawables and there is nothing to cut from.

drawables

  The drawables to cut from.

Returns

  TRUE if the cut was successful, FALSE if there was nothing to copy from.